Luxor PlatformAPI DocumentationMining PoolReporting

Get pool stats

Returns key statistics for Luxor Pool over specified time intervals

GET
/v2/pool/pool-stats/{currency_type}

Authorization

LuxorAPIKey
authorization<token>

Use your API key here.

In: header

Path Parameters

currency_type*string

Which currency to query, e.g. BTC or DOGE.

Value in

  • "BTC"
  • "SC"
  • "ZEC"
  • "LTC"
  • "DOGE"

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/pool/pool-stats/BTC"
{  "currency_type": "BTC",  "hashrate_5m": "1035827914295214",  "hashrate_1h": "1035827914295214",  "hashrate_24h": "1035827914295214",  "active_workers_5m": "string",  "hashprice": "string",  "minimum_payment_threshold": "string"}
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}